
/**
 * Die Klasse Werkzeugkasten bietet verschiedene vordefinierte Funktionen an.
 * 
 * @author M. Pinzhoffer
 * @version 10.01.2009
 */
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

public class Werkzeugkasten
{
    public String stringEingabeHolen(){
        BufferedReader input = 
            new BufferedReader(new InputStreamReader(System.in));
        String temp="";
        try{
            temp = input.readLine();
        } catch (IOException e){
            e.printStackTrace();
        }
        return temp;
    }
    
    public int intEingabeHolen(){
        BufferedReader input = 
            new BufferedReader(new InputStreamReader(System.in));
        int temp = 0;
        try{
            temp = Integer.parseInt(input.readLine());
        } catch (IOException e){
            e.printStackTrace();
        }
        return temp;
    }
    
    public int zufallsZahlHolen(int von, int bis){
        int temp;
        java.util.Random zufallsgenerator = new java.util.Random();
        temp = zufallsgenerator.nextInt(bis - von) + von;
        return temp;        
    }
}
