
/**
 * Ein kleines Spiel!
 * 
 * @author M. Pinzhoffer
 * @version 10.01.2009
 */
public class Zahlenratespiel
{
    private int versuche; //Attribute
    private int bereich;

    public Zahlenratespiel(int vers, int ber){
        versuche = vers;
        bereich = ber;
    }

    public void start(){
        Werkzeugkasten werkzeug; //Bietet Methoden fr Eingabe und Zufall
        werkzeug = new Werkzeugkasten();
        
        int zufallsZahl; //Die Zahl, die wir uns denken
        zufallsZahl = werkzeug.zufallsZahlHolen(1, bereich);
        
        System.out.println("Herzlich willkommen beim Zahlenratespiel!\n");
        System.out.println("Ich denke mir eine Zahl zwischen 1 und " + bereich + ".");
        System.out.println("Du hast " + versuche + " Versuche, sie zu erraten!");
        
        int tipp; //Hier kommt die Eingabe des Benutzers rein
        
        for(int i = 1; i <= versuche; i = i + 1){
            System.out.println("Dein Tipp: ");            
            tipp = werkzeug.intEingabeHolen(); //Jetzt muss der Benutzer eingeben
            if (tipp == zufallsZahl){
                System.out.println("Du hast in " + i + " Versuchen die Zahl erraten!");
                System.exit(0);
            } else {
                if(zufallsZahl > tipp){
                    System.out.println("Meine Zahl ist grer!");
                } else {
                    System.out.println("Meine Zahl ist kleiner!");
                }
                System.out.println("Du hast noch " + ( versuche - i ) + " Versuche.");
            }
        }
        System.out.println("Die Zahl war " + zufallsZahl + ".");
    }
}
